Subject: bug#20965: closed (Re: qemu non-deterministic test failures)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Feb 2018 22:06:02 +0000

Your bug report

#20965: qemu non-deterministic test failures

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20965: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20965
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: qemu non-deterministic test failures
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Fri, 9 Feb 2018 23:05:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The bug was tagged as fixed, but not closed; closing it now.

Andreas

Subject: qemu non-deterministic test failures
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jul 2015 12:46:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I've seen at least two occurrences of a non-deterministic test failure
in qemu for x86_64 on hydra.  Both are essentially the same, except for
the random seed.  Here's the relevant log tail of the most recent one:

--8<---------------cut here---------------start------------->8---
GTESTER check-qtest-arm
socket_accept failed: Resource temporarily unavailable
**
ERROR:tests/libqtest.c:192:qtest_init: assertion failed: (s->fd >= 0 && s->qmp_fd >= 0)
GTester: last random seed: R02S68ad7b4ad35e64a4283ad867738ae469
/tmp/nix-build-qemu-2.3.0.drv-0/qemu-2.3.0/tests/Makefile:416: recipe for target 'check-qtest-aarch64' failed
make: *** [check-qtest-aarch64] Error 1
make: *** Waiting for unfinished jobs....
phase `check' failed after 117 seconds
builder for `/gnu/store/fv3kfpi3j7vg692ibkfaw6rvid1yabvj-qemu-2.3.0.drv' failed with exit code 1
@ build-failed /gnu/store/fv3kfpi3j7vg692ibkfaw6rvid1yabvj-qemu-2.3.0.drv - 1 builder for `/gnu/store/fv3kfpi3j7vg692ibkfaw6rvid1yabvj-qemu-2.3.0.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/fv3kfpi3j7vg692ibkfaw6rvid1yabvj-qemu-2.3.0.drv' failed
--8<---------------cut here---------------end--------------->8---

The excerpt above was from the first attempt of the following build:

  http://hydra.gnu.org/build/557468

After restarting the build, the second attempt succeeded.

I saved a full log from another similar failure on 10 June 2015, but I
neglected to save the other details.  Here's the relevant tail:

--8<---------------cut here---------------start------------->8---
GTESTER check-qtest-arm
socket_accept failed: Resource temporarily unavailable
**
ERROR:tests/libqtest.c:192:qtest_init: assertion failed: (s->fd >= 0 && s->qmp_fd >= 0)
GTester: last random seed: R02Sf42b4c6eb1ed085e2ce450c1f51f3505
/tmp/nix-build-qemu-2.3.0.drv-1/qemu-2.3.0/tests/Makefile:416: recipe for target 'check-qtest-aarch64' failed
make: *** [check-qtest-aarch64] Error 1
make: *** Waiting for unfinished jobs....
socket_accept failed: Resource temporarily unavailable
**
ERROR:tests/libqtest.c:192:qtest_init: assertion failed: (s->fd >= 0 && s->qmp_fd >= 0)
GTester: last random seed: R02S126fc36a13df8d61829c432073f209f0
/tmp/nix-build-qemu-2.3.0.drv-1/qemu-2.3.0/tests/Makefile:416: recipe for target 'check-qtest-arm' failed
make: *** [check-qtest-arm] Error 1
phase `check' failed after 155 seconds
builder for `/gnu/store/m0p5fjhy4jfqff7m720qw1ybv740a2jk-qemu-2.3.0.drv' failed with exit code 1
@ build-failed /gnu/store/m0p5fjhy4jfqff7m720qw1ybv740a2jk-qemu-2.3.0.drv - 1 builder for `/gnu/store/m0p5fjhy4jfqff7m720qw1ybv740a2jk-qemu-2.3.0.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/m0p5fjhy4jfqff7m720qw1ybv740a2jk-qemu-2.3.0.drv' failed
--8<---------------cut here---------------end--------------->8---

      Mark